import * as server from "@minecraft/server"

function trocarEstado(player, blockReplace, locBlock, usedItem) {
    player.runCommand('clear @s ' + usedItem + ' 0 1')
    player.runCommand('setblock ' + locBlock + ' ' + blockReplace)
}

server.world.afterEvents.itemUse.subscribe(eventData => {
    const block = eventData.source.getBlockFromViewDirection().block.typeId;
    const player = eventData.source;
    const item = eventData.itemStack.typeId;
    const lockBlock = eventData.source.getBlockFromViewDirection().block.location.x + ' ' + eventData.source.getBlockFromViewDirection().block.location.y + ' ' + eventData.source.getBlockFromViewDirection().block.location.z;

    if (item == 'sunrise:garrafa_sangue4' || item == 'sunrise:liver') {
        if (block == "sunrise:block_altar_sangue") {
            trocarEstado(player, "sunrise:block_altar_sangue_1", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_1") {
            trocarEstado(player, "sunrise:block_altar_sangue_2", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_2") {
            trocarEstado(player, "sunrise:block_altar_sangue_3", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_3") {
            trocarEstado(player, "sunrise:block_altar_sangue_4", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_4") {
            trocarEstado(player, "sunrise:block_altar_sangue_5", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_5") {
            trocarEstado(player, "sunrise:block_altar_sangue_6", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_6") {
            trocarEstado(player, "sunrise:block_altar_sangue_7", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_7") {
            trocarEstado(player, "sunrise:block_altar_sangue_8", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_8") {
            trocarEstado(player, "sunrise:block_altar_sangue_9", lockBlock, item)
        } else if (block == "sunrise:block_altar_sangue_9") {
            trocarEstado(player, "sunrise:block_altar_sangue_10", lockBlock, item)
        }
    }
})