import * as server from "@minecraft/server";
import {
  ActionFormData
} from "mojang-minecraft-ui"

const poderesHT = [
  'moreLife', 'moreDamage', 'moreSpeed', 'moreJump', 'breathControl', 'skillPotions',"saturation", 'GarlicInTheVein', 'wolvesTamer', 'blessedHunter', "kingHunter", "loneHunter"]

function consultResult(selection, text) {
  if (selection == text) {
    return true
  } else {
    return false
  }
}

function UnlockSkill(player, poderes, type) {
  const dlg_SkillUnlock = new ActionFormData()
  const res_SkillUnlock = []
  poderes.forEach(poder => {
    if (poder == 'moreLife') {
      if (player.hasTag('moreLife1') == false && player.hasTag('moreLife2') == false && player.hasTag('moreLife3') == false) {
        dlg_SkillUnlock.button('gui.button.UnlockSkill_' + 'moreLife1', 'textures/ui/skill_' + 'moreLife' + '.png');
        res_SkillUnlock.push(poder + '1');
      } else if (player.hasTag('moreLife1')) {
        dlg_SkillUnlock.button('gui.button.UnlockSkill_' + 'moreLife2', 'textures/ui/skill_' + 'moreLife' + '.png');
        res_SkillUnlock.push(poder + '2');
      } else if (player.hasTag('moreLife2')) {
        dlg_SkillUnlock.button('gui.button.UnlockSkill_' + 'moreLife3', 'textures/ui/skill_' + 'moreLife' + '.png');
        res_SkillUnlock.push(poder + '3');
      }
    } 
    else if (poder == 'loneHunter' || poder == 'kingHunter' || poder == 'blessedHunter') {
      if (player.hasTag('loneHunter') == false && player.hasTag('kingHunter') == false && player.hasTag('blessedHunter') == false) {
        dlg_SkillUnlock.button('gui.button.UnlockSkill_' + poder, 'textures/ui/skill_' + poder + '.png');
        res_SkillUnlock.push(poder);
      }
    }
    else if (poder == 'moreDamage') {
      if (player.hasTag('moreDamage1') == false && player.hasTag('moreDamage2') == false && player.hasTag('moreDamage3') == false) {
        dlg_SkillUnlock.button('gui.button.UnlockSkill_' + 'moreDamage1', 'textures/ui/skill_' + 'moreDamage' + '.png');
        res_SkillUnlock.push(poder + '1');
      } else if (player.hasTag('moreLife1')) {
        dlg_SkillUnlock.button('gui.button.UnlockSkill_' + 'moreDamage2', 'textures/ui/skill_' + 'moreDamage' + '.png');
        res_SkillUnlock.push(poder + '2');
      } else if (player.hasTag('moreLife2')) {
        dlg_SkillUnlock.button('gui.button.UnlockSkill_' + 'moreDamage3', 'textures/ui/skill_' + 'moreDamage' + '.png');
        res_SkillUnlock.push(poder + '3');
      }
    } else if (player.hasTag(poder) == false) {
      dlg_SkillUnlock.button('gui.button.UnlockSkill_' + poder, 'textures/ui/skill_' + poder + '.png');
      res_SkillUnlock.push(poder);
    }
  });

  dlg_SkillUnlock.show(player).then(result => {
    const selection = res_SkillUnlock[result.selection]
    if (consultResult(selection, "moreLife1")) {
      player.runCommand('tag @s[lm=20] add ' + selection);
      player.runCommand('xp -20L @s[lm=20]');
    } else if (consultResult(selection, "moreLife2")) {
      player.runCommand('tag @s[lm=30] add ' + selection);
      player.runCommand('tag @s[lm=30] remove ' + 'moreLife1');
      player.runCommand('xp -30L @s[lm=30]');
    } else if (consultResult(selection, "moreLife3")) {
      player.runCommand('tag @s[lm=40] add ' + selection);
      player.runCommand('tag @s[lm=40] remove ' + 'moreLife2');
      player.runCommand('xp -40L @s[lm=40]');
    } else if (consultResult(selection, "moreDamage1")) {
      player.runCommand('tag @s[lm=20] add ' + selection);
      player.runCommand('xp -20L @s[lm=20]');
    } else if (consultResult(selection, "moreDamage2")) {
      player.runCommand('tag @s[lm=30] add ' + selection);
      player.runCommand('tag @s[lm=30] remove ' + 'moreDamage1');
      player.runCommand('xp -30L @s[lm=30]');
    } else if (consultResult(selection, "moreDamage3")) {
      player.runCommand('tag @s[lm=40] add ' + selection);
      player.runCommand('tag @s[lm=40] remove ' + 'moreDamage2');
      player.runCommand('xp -40L @s[lm=40]');
    } else if (consultResult(selection, selection)) {
      player.runCommand('tag @s[lm=40] add ' + selection);
      player.runCommand('xp -40L @s[lm=40]');
    }
  });
}

server.world.afterEvents.itemUse.subscribe(eventData=>{
  if (eventData.itemStack.typeId=="sunrise:hunter_skill_item" && eventData.source.getEntitiesFromViewDirection().length==0){
    UnlockSkill(eventData.source, poderesHT, 'hunter');
  }
})