import * as server from "@minecraft/server";
import {
  ActionFormData
} from "mojang-minecraft-ui"



function Sell(player) {
  const dlg_Sell = new ActionFormData()
  dlg_Sell.button('gui.button.buyPao','textures/items/bread.png');
  dlg_Sell.button('gui.button.buyGolden_carrot','textures/items/carrot_golden.png');
  dlg_Sell.button('gui.button.buyChapeu_hunter','textures/items/chapeu_hunter.png');
  dlg_Sell.button('gui.button.buyManto_hunter','textures/items/manto_hunter.png');
  dlg_Sell.button('gui.button.buyAlho','textures/items/add_alho.png');
  dlg_Sell.button('gui.button.buyPedraSun','textures/items/pedra_sol.png');
  dlg_Sell.button('gui.button.sellPedraMoon','textures/items/pedra_lua.png');
  dlg_Sell.button('gui.button.sellPedraFilisofal','textures/items/philosopher_stone.png');
  dlg_Sell.button('gui.button.sellMaldicao','textures/items/lua_cheia.png');
  dlg_Sell.button('gui.button.sellDente','textures/items/pa_vampire_tooth.png');
  
  dlg_Sell.show(player).then(result => {
    var id_escolha = result.selection;
    if (id_escolha == 0){
    player.runCommand('give @s[hasitem=[{item=sunrise:silver_coin,quantity=10..}]] bread 10 0');
    player.runCommand('clear @s[hasitem=[{item=sunrise:silver_coin,quantity=10..}]] sunrise:silver_coin 0 10');
    }
    
    if (id_escolha == 1){
      player.runCommand('give @s[hasitem=[{item=sunrise:coin,quantity=2..}]] golden_carrot 4 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:coin,quantity=2..}]] sunrise:coin 0 2');
      
    }
    
    if (id_escolha == 2){
      player.runCommand('give @s[hasitem=[{item=sunrise:coin,quantity=5..}]] sunrise:black_hat 1 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:coin,quantity=5..}]] sunrise:coin 0 5');
      
    }
    
    if (id_escolha == 3){
      player.runCommand('give @s[hasitem=[{item=sunrise:coin,quantity=5..}]] sunrise:black_overcoat 1 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:coin,quantity=5..}]] sunrise:coin 0 5');
      
    }
    
    if (id_escolha == 4){
      player.runCommand('give @s[hasitem=[{item=sunrise:silver_coin,quantity=5..}]] sunrise:garlic_seed 10 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:silver_coin,quantity=5..}]] sunrise:silver_coin 0 5');
      
    }
    
    if (id_escolha == 5){
      player.runCommand('give @s[hasitem=[{item=sunrise:coin,quantity=5..}]] sunrise:stone_sun 1 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:coin,quantity=5..}]] sunrise:coin 0 5');
      
    }
    
    if (id_escolha == 6){
      player.runCommand('give @s[hasitem=[{item=sunrise:stone_moon,quantity=1..}]] sunrise:coin 5 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:stone_moon,quantity=1..}]] sunrise:stone_moon 0 1');
      
    }
    
    if (id_escolha == 7){
      player.runCommand('give @s[hasitem=[{item=sunrise:philosopher_stone,quantity=1..}]] sunrise:coin 20 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:philosopher_stone,quantity=1..}]] sunrise:philosopher_stone 0 1');
      
    }
    
    if (id_escolha == 8){
      player.runCommand('give @s[hasitem=[{item=sunrise:moon_curse,quantity=1..}]] sunrise:coin 2 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:moon_curse,quantity=1..}]] sunrise:moon_curse 0 1');
      
    }
    
    if (id_escolha == 9){
      player.runCommand('give @s[hasitem=[{item=sunrise:vampire_tooth,quantity=1..}]] sunrise:coin 2 0');
      player.runCommand('clear @s[hasitem=[{item=sunrise:vampire_tooth,quantity=1..}]] sunrise:vampire_tooth 0 1');
      
    }
    
  })
}

server.world.afterEvents.itemUse.subscribe(eventData=>{
  if (eventData.source.hasTag('hunter') && eventData.source.getEntitiesFromViewDirection()[0].entity.typeId=="sunrise:priest"){
    Sell(eventData.source);
  }
})